Subject: Re: linux-next: build failure after merge of the staging-next tree

From: Neil Brown <[email-masked]>
Date: Tue, 18 May 2010 15:30:20 +1000

On Fri, 30 Apr 2010 07:43:40 -0700
Greg KH <[email-masked]> wrote:

> On Fri, Apr 30, 2010 at 03:52:05PM +1000, Stephen Rothwell wrote:
> > Hi Greg,
> > 
> > After merging the staging-next tree, today's linux-next build (x86_64
> > allmodconfig) failed like this:
> > 
> > drivers/md/md.c: In function 'level_store':
> > drivers/md/md.c:3029: error: too few arguments to function 'sysfs_get_dirent'
> > 
> > Caused by commit 262f8e4937e7b4a587923ca3c039a184668f49ec ("sysfs:
> > Implement sysfs tagged directory support") from the driver-core tree
> > interacting with commit fecc531e3cc0de60514d326c7d82f1075ed55888 ("md:
> > manage redundancy group in sysfs when changing level") from the md.
> > 
> > I have applied this fixup patch for today and can carry it as necessary.
> > 
> > [This could have been avoided, of course, by creating a new API (maybe
> > sysfs_get_dirent_tagged) and implementing the old API in terms of that].
> 
> Thanks for the fixup.

hi Greg,
 I'm assuming that you will submit you patch queue to Linus first, then I
 will create a merge which fixes this issue and ask Linus to pull that - so
 everything is all still bisectable without me rebasing.

 If you are OK with that, please let me know when you have submitted your
 queue..  I'll try to keep and eye open, but I might miss it...

Thanks,
NeilBrown